<div class="container center-text">
    <h1>Environment</h1>
    <h1>{{environmentWithReads?.environment?.name}}</h1>

    <div class="horizontal-container">

        <!-- No statistics -->
        <div *ngIf="!environmentWithReads?.reads" class="full-width">
            <h1>Statistics</h1>
            <div class="config-info">
                <label>There are no statistics registered.</label>
            </div>
        </div>


        <!-- Statistics -->
        <div *ngIf="!!environmentWithReads?.reads" class="full-width">
            <h1>Statistics</h1>
            <table mat-table [dataSource]="environmentWithReads?.reads" class="full-width">

                <ng-container matColumnDef="time">
                    <th mat-header-cell *matHeaderCellDef class="center-text">Time</th>
                    <td mat-cell *matCellDef="let read">{{read.receivedAt | date:'short'}}</td>
                </ng-container>

                <ng-container matColumnDef="temperature">
                    <th mat-header-cell *matHeaderCellDef class="center-text">Air temperature</th>
                    <td mat-cell *matCellDef="let read">{{read.airTemperatureCelsius}}°C</td>
                </ng-container>

                <ng-container matColumnDef="humidity">
                    <th mat-header-cell *matHeaderCellDef class="center-text">Air humidity</th>
                    <td mat-cell *matCellDef="let read">{{read.airHumidityPercentage}}%</td>
                </ng-container>

                <ng-container matColumnDef="soilMoisture">
                    <th mat-header-cell *matHeaderCellDef class="center-text">Soil moisture</th>
                    <td mat-cell *matCellDef="let read">{{read.soilMoisturePercentage}}%</td>
                </ng-container>

                <ng-container matColumnDef="luminosity">
                    <th mat-header-cell *matHeaderCellDef class="center-text">Luminosity</th>
                    <td mat-cell *matCellDef="let read">{{read.lightIntensityLux}}%</td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="readingsColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: readingsColumns"></tr>
            </table>
        </div>

        <div class="vertical-divider"></div>

        <!-- Alerts -->
        <div class="full-width">
            <h1>Alerts</h1>
            <div *ngIf="!!environmentWithReads?.environment?.id">
                <app-device-alert [environmentId]="environmentWithReads?.environment.id"></app-device-alert>
            </div>
        </div>
    </div>
</div>